Package com.ocient.jdbc

# Class StPoint

java.lang.Object
com.ocient.jdbc.StPoint

    public class StPoint
    extends Object

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`StPoint​(double lon, double lat)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`double` | `getLatitude()` |
`double` | `getLongitude()` |
`double` | `getX()` |
`double` | `getY()` |
`String` | `toString()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StPoint

public StPoint​(double lon, double lat)

## Method Details

### getLongitude

public double getLongitude()

### getLatitude

public double getLatitude()

### getX

public double getX()

### getY

public double getY()

### toString

public String toString()

Overrides:
  `toString` in class `Object`